Skip to main content

Create Charge

POST /charges

Description

Create a new charge configuration.

Authentication

Bearer Token

Request

Headers

HeaderValueRequired
AuthorizationBearer {{token}}Yes
Content-Typeapplication/jsonYes

Request Body

{
"name": "ZIMSWITCH",
"description": "Zimswitch charge",
"amount": null,
"account": null,
"percentageRate": 1.00,
"flat": null,
"composite": false,
"global": false,
"min": null,
"max": null,
"minimumAmount": null,
"maximumAmount": null,
"currencyString": "USD",
"companyIdString": "f5506f1d-3959-41cb-bd7b-c878c34f5a72"
}
FieldTypeRequiredDescription
namestringYesName of the charge
descriptionstringNoDescription of the charge
amountnumberNoFixed amount
accountstringNoAssociated account
percentageRatenumberNoPercentage rate
flatnumberNoFlat fee
compositebooleanNoWhether charge is composite
globalbooleanNoWhether charge is global
minnumberNoMinimum value
maxnumberNoMaximum value
minimumAmountnumberNoMinimum amount
maximumAmountnumberNoMaximum amount
currencyStringstringYesCurrency code
companyIdStringstring (UUID)YesCompany ID